Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4550)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4559)
@@ -2147,22 +2145,22 @@
 !
 !--    If required, change the surface chem spcs at the start of the 3D run
-       IF ( cs_surface_initial_change(1) /= 0.0_wp )  THEN            
-          DO  lsp = 1, nspec 
+       IF ( cs_surface_initial_change(1) /= 0.0_wp )  THEN
+          DO  lsp = 1, nspec
              DO  i = nxlg, nxrg
                 DO  j = nysg, nyng
                    flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(nzb,j,i), 0 ) )
-                   chem_species(lsp)%conc(nzb,j,i) = chem_species(lsp)%conc(nzb,j,i) +  &
+                   chem_species(lsp)%conc(nzb,j,i) = chem_species(lsp)%conc(nzb,j,i) +             &
                                                      cs_surface_initial_change(lsp) * flag
                 ENDDO
              ENDDO
           ENDDO
-       ENDIF 
+       ENDIF
 
     ENDIF
 !
-!-- Initiale old and new time levels. Note, this has to be done also in restart runs
+!-- Initial old and new time levels. Note, this has to be done also in restart runs
     DO  lsp = 1, nvar
-       chem_species(lsp)%tconc_m = 0.0_wp                      
-       chem_species(lsp)%conc_p  = chem_species(lsp)%conc     
+       chem_species(lsp)%tconc_m = 0.0_wp
+       chem_species(lsp)%conc_p  = chem_species(lsp)%conc
     ENDDO
 
@@ -2173,5 +2171,5 @@
 !--       IF( myid == 0 )  THEN
 !--          WRITE(6,'(a,i4,3x,a)')  'Photolysis: ',lsp,TRIM( phot_names(lsp) )
-!--       ENDIF 
+!--       ENDIF
        phot_frequen(lsp)%freq(nzb:nzt+1,nysg:nyng,nxlg:nxrg)  =>  freq_1(:,:,:,lsp)
     ENDDO
@@ -2184,12 +2182,12 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Subroutine defining initial vertical profiles of chemical species (given by
-!> namelist parameters chem_profiles and chem_heights)  --> which should work
-!> analogue to parameters u_profile, v_profile and uv_heights)
-!------------------------------------------------------------------------------!
- SUBROUTINE chem_init_profiles              
+!> Subroutine defining initial vertical profiles of chemical species (given by namelist parameters
+!> chem_profiles and chem_heights)  --> which should work analogically to parameters u_profile,
+!> v_profile and uv_heights)
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE chem_init_profiles
 
     USE chem_modules
@@ -2197,7 +2195,8 @@
 !
 !-- Local variables
+    INTEGER ::  lpr_lev    !< running index for profile level for each chem spcs.
     INTEGER ::  lsp        !< running index for number of species in derived data type species_def
-    INTEGER ::  lsp_usr     !< running index for number of species (user defined)  in cs_names, cs_profiles etc
-    INTEGER ::  lpr_lev    !< running index for profile level for each chem spcs. 
+    INTEGER ::  lsp_usr    !< running index for number of species (user defined)  in cs_names,
+                           !< cs_profiles etc
     INTEGER ::  npr_lev    !< the next available profile lev
 !
@@ -2207,14 +2206,15 @@
 !-- "cs_heights" are prescribed, their values will!override the constant profile given by
 !-- "cs_surface".
-!     IF ( TRIM( initializing_actions ) /= 'read_restart_data' )  THEN 
+!     IF ( TRIM( initializing_actions ) /= 'read_restart_data' )  THEN
     lsp_usr = 1
     DO  WHILE ( TRIM( cs_name( lsp_usr ) ) /= 'novalue' )   !'novalue' is the default
        DO  lsp = 1, nspec                                !
 !
-!--       create initial profile (conc_pr_init) for each chemical species
-          IF ( TRIM( chem_species(lsp)%name ) == TRIM( cs_name(lsp_usr) ) )  THEN   !
+!--       Create initial profile (conc_pr_init) for each chemical species
+          IF ( TRIM( chem_species(lsp)%name ) == TRIM( cs_name(lsp_usr) ) )  THEN
              IF ( cs_profile(lsp_usr,1) == 9999999.9_wp )  THEN
 !
-!--            set a vertically constant profile based on the surface conc (cs_surface(lsp_usr)) of each species
+!--            Set a vertically constant profile based on the surface conc (cs_surface(lsp_usr)) of
+!--            each species
                 DO lpr_lev = 0, nzt+1
                    chem_species(lsp)%conc_pr_init(lpr_lev) = cs_surface(lsp_usr)
@@ -2236,5 +2236,5 @@
                          IF ( npr_lev == 100 )  THEN
                             message_string = 'number of chem spcs exceeding the limit'
-                            CALL message( 'chem_check_parameters', 'CM0435', 1, 2, 0, 6, 0 )               
+                            CALL message( 'chem_check_parameters', 'CM0435', 1, 2, 0, 6, 0 )
                             EXIT
                          ENDIF
@@ -2242,7 +2242,7 @@
                    ENDIF
                    IF ( npr_lev < 100  .AND.  cs_heights(lsp_usr,npr_lev+1) /= 9999999.9_wp )  THEN
-                      chem_species(lsp)%conc_pr_init(lpr_lev) = cs_profile(lsp_usr, npr_lev) +       &
-                           ( zu(lpr_lev) - cs_heights(lsp_usr, npr_lev) ) /                          &
-                           ( cs_heights(lsp_usr, (npr_lev + 1)) - cs_heights(lsp_usr, npr_lev ) ) *  &
+                      chem_species(lsp)%conc_pr_init(lpr_lev) = cs_profile(lsp_usr, npr_lev) +     &
+                           ( zu(lpr_lev) - cs_heights(lsp_usr, npr_lev) ) /                        &
+                           ( cs_heights(lsp_usr, (npr_lev + 1)) - cs_heights(lsp_usr, npr_lev ) ) *&
                            ( cs_profile(lsp_usr, (npr_lev + 1)) - cs_profile(lsp_usr, npr_lev ) )
                    ELSE
@@ -2252,7 +2252,7 @@
              ENDIF
 !
-!--       If a profile is prescribed explicity using cs_profiles and cs_heights, then  
-!--       chem_species(lsp)%conc_pr_init is populated with the specific "lsp" based
-!--       on the cs_profiles(lsp_usr,:)  and cs_heights(lsp_usr,:). 
+!--       If a profile is prescribed explicity using cs_profiles and cs_heights, then
+!--       chem_species(lsp)%conc_pr_init is populated with the specific "lsp" based on the
+!--       cs_profiles(lsp_usr,:)  and cs_heights(lsp_usr,:).
           ENDIF
 
@@ -2265,16 +2265,16 @@
  END SUBROUTINE chem_init_profiles
 
- 
-!------------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Subroutine to integrate chemical species in the given chemical mechanism
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE chem_integrate_ij( i, j )
 
-    USE statistics,                                                          &
+    USE statistics,                                                                                &
         ONLY:  weight_pres
 
-    USE control_parameters,                                                  &
+    USE control_parameters,                                                                        &
         ONLY:  dt_3d, intermediate_timestep_count, time_since_reference_point
 
@@ -2283,32 +2283,40 @@
     INTEGER,INTENT(IN)       :: j
 !
-!--   local variables
-    INTEGER(iwp) ::  lsp                                                     !< running index for chem spcs.
-    INTEGER(iwp) ::  lph                                                     !< running index for photolysis frequencies
-    INTEGER, DIMENSION(20)    :: istatus
+!-- Local variables
+    INTEGER(iwp) ::  lph                                 !< running index for photolysis frequencies
+    INTEGER(iwp) ::  lsp                                 !< running index for chem spcs.
+
+    INTEGER, DIMENSION(20)        :: istatus
+
+    INTEGER,DIMENSION(nzb+1:nzt)  :: nacc          !< Number of accepted steps
+    INTEGER,DIMENSION(nzb+1:nzt)  :: nrej          !< Number of rejected steps
+
+    REAL(wp)                         ::  conv                                !< conversion factor
+    REAL(kind=wp)                    ::  dt_chem
+
+    REAL(wp), PARAMETER              ::  fr2ppm  = 1.0e6_wp              !< Conversion factor
+                                                                         !< fraction to ppm
+!    REAL(wp), PARAMETER              ::  xm_air  = 28.96_wp              !< Mole mass of dry air
+!    REAL(wp), PARAMETER              ::  xm_h2o  = 18.01528_wp           !< Mole mass of water vapor
+    REAL(wp), PARAMETER              ::  p_std   = 101325.0_wp           !< standard pressure (Pa)
+    REAL(wp), PARAMETER              ::  ppm2fr  = 1.0e-6_wp             !< Conversion factor ppm to
+                                                                         !< fraction
+    REAL(wp), PARAMETER              ::  t_std   = 273.15_wp             !< standard pressure (Pa)
+    REAL(wp), PARAMETER              ::  vmolcm  = 22.414e3_wp           !< Mole volume (22.414 l)
+                                                                         !< in cm^3
+    REAL(wp), PARAMETER              ::  xna     = 6.022e23_wp           !< Avogadro number
+                                                                         !< (molecules/mol)
+
+    REAL(wp),DIMENSION(size(rcntrl)) :: rcntrl_local
+
+    REAL(kind=wp), DIMENSION(nzb+1:nzt)                      :: tmp_fact
+    REAL(kind=wp), DIMENSION(nzb+1:nzt)                      :: tmp_fact_i    !< conversion factor between
+                                                                              !< molecules cm^{-3} and ppm
+    REAL(kind=wp), DIMENSION(nzb+1:nzt)                      :: tmp_qvap
+    REAL(kind=wp), DIMENSION(nzb+1:nzt)                      :: tmp_temp
+
     REAL(kind=wp), DIMENSION(nzb+1:nzt,nspec)                :: tmp_conc
-    REAL(kind=wp), DIMENSION(nzb+1:nzt)                      :: tmp_temp
-    REAL(kind=wp), DIMENSION(nzb+1:nzt)                      :: tmp_qvap
     REAL(kind=wp), DIMENSION(nzb+1:nzt,nphot)                :: tmp_phot
-    REAL(kind=wp), DIMENSION(nzb+1:nzt)                      :: tmp_fact
-    REAL(kind=wp), DIMENSION(nzb+1:nzt)                      :: tmp_fact_i    !< conversion factor between 
-                                                                              !<    molecules cm^{-3} and ppm
-
-    INTEGER,DIMENSION(nzb+1:nzt)                            :: nacc          !< Number of accepted steps
-    INTEGER,DIMENSION(nzb+1:nzt)                            :: nrej          !< Number of rejected steps
-
-    REAL(wp)                         ::  conv                                !< conversion factor
-    REAL(wp), PARAMETER              ::  ppm2fr  = 1.0e-6_wp                 !< Conversion factor ppm to fraction
-    REAL(wp), PARAMETER              ::  fr2ppm  = 1.0e6_wp                  !< Conversion factor fraction to ppm
-!    REAL(wp), PARAMETER              ::  xm_air  = 28.96_wp                  !< Mole mass of dry air
-!    REAL(wp), PARAMETER              ::  xm_h2o  = 18.01528_wp               !< Mole mass of water vapor
-    REAL(wp), PARAMETER              ::  t_std   = 273.15_wp                 !< standard pressure (Pa)
-    REAL(wp), PARAMETER              ::  p_std   = 101325.0_wp               !< standard pressure (Pa)
-    REAL(wp), PARAMETER              ::  vmolcm  = 22.414e3_wp               !< Mole volume (22.414 l) in cm^3
-    REAL(wp), PARAMETER              ::  xna     = 6.022e23_wp               !< Avogadro number (molecules/mol)
-
-    REAL(wp),DIMENSION(size(rcntrl)) :: rcntrl_local
-
-    REAL(kind=wp)  :: dt_chem                                             
+
 !
 !-- Set chem_gasphase_on to .FALSE. if you want to skip computation of gas phase chemistry
@@ -2319,7 +2327,7 @@
        tmp_temp(:) = pt(nzb+1:nzt,j,i) * exner(nzb+1:nzt)
 !
-!--    convert ppm to molecules/cm**3
-!--    tmp_fact = 1.e-6_wp*6.022e23_wp/(22.414_wp*1000._wp) * 273.15_wp * 
-!--               hyp(nzb+1:nzt)/( 101300.0_wp * tmp_temp )  
+!--    Convert ppm to molecules/cm**3
+!--    tmp_fact = 1.e-6_wp*6.022e23_wp/(22.414_wp*1000._wp) * 273.15_wp *
+!--               hyp(nzb+1:nzt)/( 101300.0_wp * tmp_temp )
        conv = ppm2fr * xna / vmolcm
        tmp_fact(:) = conv * t_std * hyp(nzb+1:nzt) / (tmp_temp(:) * p_std)
@@ -2328,5 +2336,5 @@
        IF ( humidity )  THEN
           IF ( bulk_cloud_model )  THEN
-             tmp_qvap(:) = ( q(nzb+1:nzt,j,i) - ql(nzb+1:nzt,j,i) ) *  &
+             tmp_qvap(:) = ( q(nzb+1:nzt,j,i) - ql(nzb+1:nzt,j,i) ) *                              &
                              xm_air/xm_h2o * fr2ppm * tmp_fact(:)
           ELSE
@@ -2334,13 +2342,14 @@
           ENDIF
        ELSE
-          tmp_qvap(:) = 0.01 * xm_air/xm_h2o * fr2ppm * tmp_fact(:)          !< Constant value for q if water vapor is not computed
+          tmp_qvap(:) = 0.01 * xm_air/xm_h2o * fr2ppm * tmp_fact(:)   !< Constant value for q if
+                                                                      !< water vapor is not computed
        ENDIF
 
        DO  lsp = 1,nspec
-          tmp_conc(:,lsp) = chem_species(lsp)%conc(nzb+1:nzt,j,i) * tmp_fact(:) 
+          tmp_conc(:,lsp) = chem_species(lsp)%conc(nzb+1:nzt,j,i) * tmp_fact(:)
        ENDDO
 
        DO lph = 1,nphot
-          tmp_phot(:,lph) = phot_frequen(lph)%freq(nzb+1:nzt,j,i)               
+          tmp_phot(:,lph) = phot_frequen(lph)%freq(nzb+1:nzt,j,i)
        ENDDO
 !
@@ -2354,5 +2363,5 @@
        cs_time_step = dt_chem
 
-       IF(maxval(rcntrl) > 0.0)  THEN    ! Only if rcntrl is set
+       IF ( MAXVAL( rcntrl ) > 0.0 )  THEN    ! Only if rcntrl is set
           IF( time_since_reference_point <= 2*dt_3d)  THEN
              rcntrl_local = 0
@@ -2364,5 +2373,5 @@
        END IF
 
-       CALL chem_gasphase_integrate ( dt_chem, tmp_conc, tmp_temp, tmp_qvap, tmp_fact, tmp_phot, &
+       CALL chem_gasphase_integrate ( dt_chem, tmp_conc, tmp_temp, tmp_qvap, tmp_fact, tmp_phot,   &
             icntrl_i = icntrl, rcntrl_i = rcntrl_local, xnacc = nacc, xnrej = nrej, istatus=istatus )
 
@@ -2378,9 +2387,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Subroutine defining parin for &chemistry_parameters for chemistry model
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE chem_parin
 
@@ -2392,65 +2401,68 @@
 
 
-    CHARACTER (LEN=80) ::  line                        !< dummy string that contains the current line of the parameter file
-
-    REAL(wp), DIMENSION(nmaxfixsteps) ::   my_steps    !< List of fixed timesteps   my_step(1) = 0.0 automatic stepping
-    INTEGER(iwp) ::  i                                 !< 
-    INTEGER(iwp) ::  max_pr_cs_tmp                     !< 
-
-
-    NAMELIST /chemistry_parameters/  bc_cs_b,                          &
-         bc_cs_l,                          &
-         bc_cs_n,                          &
-         bc_cs_r,                          &
-         bc_cs_s,                          &
-         bc_cs_t,                          &
-         call_chem_at_all_substeps,        &
-         chem_debug0,                      &
-         chem_debug1,                      &
-         chem_debug2,                      &
-         chem_gasphase_on,                 &
-         chem_mechanism,                   &          
-         cs_heights,                       &
-         cs_name,                          &
-         cs_profile,                       &
-         cs_surface,                       &
-         cs_surface_initial_change,        &
-         cs_vertical_gradient_level,       &
-         daytype_mdh,                      &
-         deposition_dry,                   &
-         emissions_anthropogenic,          &
-         emiss_lod,                        &
-         emiss_factor_main,                &
-         emiss_factor_side,                &
-         emiss_read_legacy_mode,           &
-         icntrl,                           &
-         main_street_id,                   &
-         max_street_id,                    &
-         mode_emis,                        &
-         my_steps,                         &
-         nesting_chem,                     &
-         nesting_offline_chem,             &
-         rcntrl,                           &
-         side_street_id,                   &
-         photolysis_scheme,                &
-         wall_csflux,                      &
-         cs_vertical_gradient,             &
-         top_csflux,                       & 
-         surface_csflux,                   &
-         surface_csflux_name,              &
+    CHARACTER (LEN=80) ::  line                        !< dummy string that contains the current
+                                                       !< line of the parameter file
+
+    INTEGER(iwp) ::  i                                 !<
+    INTEGER(iwp) ::  max_pr_cs_tmp                     !<
+
+    REAL(wp), DIMENSION(nmaxfixsteps) ::   my_steps    !< List of fixed timesteps   my_step(1) = 0.0
+                                                       !< automatic stepping
+
+
+    NAMELIST /chemistry_parameters/                                                                &
+         bc_cs_b,                                                                                  &
+         bc_cs_l,                                                                                  &
+         bc_cs_n,                                                                                  &
+         bc_cs_r,                                                                                  &
+         bc_cs_s,                                                                                  &
+         bc_cs_t,                                                                                  &
+         call_chem_at_all_substeps,                                                                &
+         chem_debug0,                                                                              &
+         chem_debug1,                                                                              &
+         chem_debug2,                                                                              &
+         chem_gasphase_on,                                                                         &
+         chem_mechanism,                                                                           &
+         cs_heights,                                                                               &
+         cs_name,                                                                                  &
+         cs_profile,                                                                               &
+         cs_surface,                                                                               &
+         cs_surface_initial_change,                                                                &
+         cs_vertical_gradient_level,                                                               &
+         daytype_mdh,                                                                              &
+         deposition_dry,                                                                           &
+         emissions_anthropogenic,                                                                  &
+         emiss_lod,                                                                                &
+         emiss_factor_main,                                                                        &
+         emiss_factor_side,                                                                        &
+         emiss_read_legacy_mode,                                                                   &
+         icntrl,                                                                                   &
+         main_street_id,                                                                           &
+         max_street_id,                                                                            &
+         mode_emis,                                                                                &
+         my_steps,                                                                                 &
+         nesting_chem,                                                                             &
+         nesting_offline_chem,                                                                     &
+         rcntrl,                                                                                   &
+         side_street_id,                                                                           &
+         photolysis_scheme,                                                                        &
+         wall_csflux,                                                                              &
+         cs_vertical_gradient,                                                                     &
+         top_csflux,                                                                               &
+         surface_csflux,                                                                           &
+         surface_csflux_name,                                                                      &
          time_fac_type
 !
-!-- analogue to chem_names(nspj) we could invent chem_surfaceflux(nspj) and chem_topflux(nspj)
+!-- Analogically to chem_names(nspj) we could invent chem_surfaceflux(nspj) and chem_topflux(nspj)
 !-- so this way we could prescribe a specific flux value for each species
     !>  chemistry_parameters for initial profiles
     !>  cs_names = 'O3', 'NO2', 'NO', ...   to set initial profiles)
     !>  cs_heights(1,:) = 0.0, 100.0, 500.0, 2000.0, .... (height levels where concs will be prescribed for O3)
-    !>  cs_heights(2,:) = 0.0, 200.0, 400.0, 1000.0, .... (same for NO2 etc.) 
+    !>  cs_heights(2,:) = 0.0, 200.0, 400.0, 1000.0, .... (same for NO2 etc.)
     !>  cs_profiles(1,:) = 10.0, 20.0, 20.0, 30.0, .....  (chem spcs conc at height lvls chem_heights(1,:)) etc.
     !>  If the respective concentration profile should be constant with height, then use "cs_surface( number of spcs)"
     !>  then write these cs_surface values to chem_species(lsp)%conc_pr_init(:)
 !
-!--   Read chem namelist   
-
+!-- Read chem namelist
     CHARACTER(LEN=8)    :: solver_type
 
@@ -2462,5 +2474,5 @@
     rtol = 0.01_wp
 !
-!--   Try to find chemistry package
+!-- Try to find chemistry package
     REWIND ( 11 )
     line = ' '
@@ -2470,9 +2482,9 @@
     BACKSPACE ( 11 )
 !
-!--   Read chemistry namelist
-    READ ( 11, chemistry_parameters, ERR = 10, END = 20 )      
-!
-!--   Enable chemistry model
-    air_chemistry = .TRUE.                    
+!-- Read chemistry namelist
+    READ ( 11, chemistry_parameters, ERR = 10, END = 20 )
+!
+!-- Enable chemistry model
+    air_chemistry = .TRUE.
     GOTO 20
 
@@ -2486,14 +2498,13 @@
 
 !
-!-- synchronize emiss_lod and mod_emis only if emissions_anthropogenic
-!-- is activated in the namelist.  Otherwise their values are "don't care"
+!-- Synchronize emiss_lod and mod_emis only if emissions_anthropogenic is activated in the namelist.
+!-- Otherwise their values are "don't care"
     IF ( emissions_anthropogenic )  THEN
 
 !
-!--    check for emission mode for chem species
-
+!--    Check for emission mode for chem species
        IF ( emiss_lod < 0 )  THEN   !- if LOD not defined in namelist
-          IF ( ( mode_emis /= 'PARAMETERIZED'  )    .AND.      &
-               ( mode_emis /= 'DEFAULT'        )    .AND.      &
+          IF ( ( mode_emis /= 'PARAMETERIZED'  )    .AND.                                          &
+               ( mode_emis /= 'DEFAULT'        )    .AND.                                          &
                ( mode_emis /= 'PRE-PROCESSED'  ) )  THEN
              message_string = 'Incorrect mode_emiss  option select. Please check spelling'
@@ -2501,6 +2512,6 @@
           ENDIF
        ELSE
-          IF ( ( emiss_lod /= 0 )    .AND.         &
-               ( emiss_lod /= 1 )    .AND.         &
+          IF ( ( emiss_lod /= 0 )    .AND.                                                         &
+               ( emiss_lod /= 1 )    .AND.                                                         &
                ( emiss_lod /= 2 ) )  THEN
              message_string = 'Invalid value for emiss_lod (0, 1, or 2)'
@@ -2510,5 +2521,5 @@
 
 !
-! for reference (ecc)
+! For reference (ecc)
 !    IF ( (mode_emis /= 'PARAMETERIZED')  .AND. ( mode_emis /= 'DEFAULT' ) .AND. ( mode_emis /= 'PRE-PROCESSED'  ) )  THEN
 !       message_string = 'Incorrect mode_emiss  option select. Please check spelling'
@@ -2517,11 +2528,10 @@
 
 !
-!-- conflict resolution for emiss_lod and mode_emis
+!-- Conflict resolution for emiss_lod and mode_emis
 !-- 1) if emiss_lod is defined, have mode_emis assume same setting as emiss_lod
 !-- 2) if emiss_lod it not defined, have emiss_lod assuem same setting as mode_emis
-!-- this check is in place to retain backward compatibility with salsa until the
-!-- code is migrated completed to emiss_lod
-!-- note that 
-
+!-- this check is in place to retain backward compatibility with salsa until the code is migrated
+!-- completed to emiss_lod
+!-- note that
        IF  ( emiss_lod >= 0 ) THEN
 
@@ -2534,11 +2544,11 @@
                 mode_emis = 'PRE-PROCESSED'
           END SELECT
-       
-          message_string = 'Synchronizing mode_emis to defined emiss_lod'               //  &
-                           CHAR(10)  //  '                    '                         //  &
-                           'NOTE - mode_emis will be depreciated in future releases'    //  &
-                           CHAR(10)  //  '                    '                         //  &
+
+          message_string = 'Synchronizing mode_emis to defined emiss_lod'               //         &
+                           CHAR( 10 )  //  '                    '                       //         &
+                           'NOTE - mode_emis will be depreciated in future releases'    //         &
+                           CHAR( 10 )  //  '                    '                       //         &
                            'please use emiss_lod to define emission mode'
- 
+
           CALL message ( 'parin_chem', 'CM0463', 0, 0, 0, 6, 0 )
 
@@ -2554,8 +2564,8 @@
           END SELECT
 
-          message_string = 'emiss_lod undefined.  Using existing mod_emiss setting'     //  &
-                           CHAR(10)  //  '                    '                         //  &
-                           'NOTE - mode_emis will be depreciated in future releases'    //  &
-                           CHAR(10)  //  '                    '                         //  &
+          message_string = 'emiss_lod undefined.  Using existing mod_emiss setting'     //         &
+                           CHAR( 10 )  //  '                    '                       //         &
+                           'NOTE - mode_emis will be depreciated in future releases'    //         &
+                           CHAR( 10 )  //  '                    '                       //         &
                            'please use emiss_lod to define emission mode'
 
@@ -2576,17 +2586,17 @@
        IF ( emiss_read_legacy_mode )  THEN       !< notify legacy read mode
 
-          message_string = 'Legacy emission read mode activated'            // &
-                           CHAR(10)  //  '                    '             // &
-                           'All emissions data will be loaded '             // &
+          message_string = 'Legacy emission read mode activated'            //                     &
+                           CHAR( 10 )  //  '                    '           //                     &
+                           'All emissions data will be loaded '             //                     &
                            'prior to start of simulation'
           CALL message ( 'parin_chem', 'CM0465', 0, 0, 0, 6, 0 )
 
-       ELSE                                     !< if new read mode selected 
+       ELSE                                     !< if new read mode selected
 
           IF ( emiss_lod < 2 )  THEN            !< check LOD compatibility
 
-             message_string = 'New emission read mode '                    // &
-                              'currently unavailable for LODs 0 and 1.'    // &
-                              CHAR(10)  //  '                    '         // &
+             message_string = 'New emission read mode '                    //                      &
+                              'currently unavailable for LODs 0 and 1.'    //                      &
+                              CHAR( 10 )  //  '                    '       //                      &
                               'Reverting to legacy emission read mode'
              CALL message ( 'parin_chem', 'CM0466', 0, 0, 0, 6, 0 )
@@ -2596,7 +2606,7 @@
           ELSE                                  !< notify new read mode
 
-             message_string = 'New emission read mode activated'           // &
-                              CHAR(10)  //  '                    '         // &
-                              'LOD 2 emissions will be updated on-demand ' // &           
+             message_string = 'New emission read mode activated'           //                      &
+                              CHAR( 10 )  //  '                    '       //                      &
+                              'LOD 2 emissions will be updated on-demand ' //                      &
                               'according to indicated timestamps'
              CALL message ( 'parin_chem', 'CM0467', 0, 0, 0, 6, 0 )
@@ -2605,14 +2615,14 @@
 
        ENDIF ! if emiss_read_legacy_mode
- 
-                           
+
+
     ENDIF  ! if emissions_anthropengic
 
 
-    t_steps = my_steps          
-!
-!--    Determine the number of user-defined profiles and append them to the
-!--    standard data output (data_output_pr)
-    max_pr_cs_tmp = 0 
+    t_steps = my_steps
+!
+!-- Determine the number of user-defined profiles and append them to the standard data output
+!>> (data_output_pr)
+    max_pr_cs_tmp = 0
     i = 1
 
@@ -2628,6 +2638,6 @@
        max_pr_cs = max_pr_cs_tmp
     ENDIF
-
-    !      Set Solver Type
+!
+!-- Set Solver Type
     IF(icntrl(3) == 0)  THEN
        solver_type = 'rodas3'           !Default
@@ -2676,9 +2686,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Call for all grid points
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE chem_actions( location )
 
@@ -2691,5 +2701,5 @@
 !
 !--       Chemical reactions and deposition
-          IF ( chem_gasphase_on ) THEN
+          IF ( chem_gasphase_on )  THEN
 !
 !--          If required, calculate photolysis frequencies -
